/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: XmlParser.java,v 16076c34f060 2010/07/03 01:05:36 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.mobile.xml;

import javax.annotation.Nonnull;
import java.io.InputStream;
import org.xml.sax.EntityResolver;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public abstract class XmlParser
  {
    protected EntityResolver entityResolver;

    public void setEntityResolver (final @Nonnull EntityResolver entityResolver)
      {
        this.entityResolver = entityResolver;
      }

    @Nonnull
    public abstract Object parse (@Nonnull InputStream is)
      throws Exception; // FIXME: JaxenException
  }
